[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svnpubsub dependcy problem building RPM's for Subverssion 1.8.0

From: Ben Reser <ben_at_reser.org>
Date: Mon, 24 Jun 2013 20:18:21 +0200

On Mon, Jun 24, 2013 at 6:08 PM, Branko Čibej <brane_at_wandisco.com> wrote:

> Please, no-one said anything about changing this on trunk (at least, I
> hope not), so let's please not go on about this.
>
> Though I'll not refrain from mentioning that it's not our trunk's
> mandate to make the scripts work out of the box on FreeBSD, either.
>

There is no one right way to set the #! line that will work on every
platform, it MUST be done at install time.

We don't even try to install the svnpubsub stuff. IMHO it's up to the
packager to deal with the paths if they want to package it. If someone
wants to make it easier to package, IMHO they should be adding it to the
install-tools target. If someone goes to that effort then they should also
deal with the #! paths.
Received on 2013-06-24 20:19:04 CEST

This is an archived mail posted to the Subversion Dev mailing list.